Skip to main content

Query audit events

GET 

/v2/events

Query audit events. This is the recommended V2 API.

Important Notes:

  • Time range filters are REQUIRED (occurred_at with gte/gt and lte/lt operators).
  • Maximum time range per request: 30 days.
  • Default limit: 10,000 events (maximum: 50,000).
  • Rate limit: 1 request per second per tenant.
  • Results are ordered by occurred_at in ascending order.

Filter Syntax: FIELD_NAME[OPERATOR]=VALUE

Operators

Note: The Mambu API V2 interprets URL encoded characters as literal strings. Customers who access the V2 API should use decoded strings directly. For example, request_payload[contains]=%22viewType%22%3A%22CLIENT%22 will return an empty string. Use request_payload[contains]="viewType":"CLIENT" instead.

OperatorDescriptionExample
eqEquals - exact match, applies to any type of fields.username[eq]=demo@mambu.com
neNot equals, applies to any type of fields.username[ne]=demo@mambu.com
gtGreater than, applies to numeric or date fields.occurred_at[gt]=2018-05-01
gteGreater than or equal, applies to numeric or date fields.occurred_at[gte]=2018-05-01
ltLess than, applies to numeric or date fields.occurred_at[lt]=2018-05-01
lteLess than or equal, applies to numeric or date fields.occurred_at[lte]=2018-05-01
inElement in list (exact match), applies to any type of fields.username[in]=user1@mambu.com,user2@mambu.com
containsOperator allows searching for specific substrings or variables within a field. It supports partial matches, making it possible to find results even if the exact value isn't provided. However, this operator does not support searching for multiple elements simultaneously.request_payload[contains]="provisionedThroughFederation"

Pagination: When hasMore: true in the response, use the nextStartTime value as occurred_at[gte] for the next request.

Request

Responses

Successfully retrieved events